#!/usr/bin/make -f

INSTALL_DIR = ezcatools
CMAKE_OPTS = -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr
%:
	dh $@

override_dh_auto_configure:
	tar xvf ezcatools-prerelease.tar.gz
	mkdir -p .build
	cd .build && cmake $(CMAKE_OPTS) $(CURDIR)/ezcatools

override_dh_auto_build:
	cd .build && make -j4

override_dh_auto_install:
	cd .build && make install DESTDIR=$(CURDIR)/debian/$(INSTALL_DIR)
	dh_install
